/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_CANSERVICE_CANSERVICE_COMMON_H
#define JAC_AP_CANSERVICE_CANSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "impl_type_ins_can2swc_100hz.h"
#include "impl_type_imu_can2swc_100hz.h"
#include "impl_type_gnss_can2swc_5hz.h"
#include "impl_type_vehicle_can2swc_50hz.h"
#include "impl_type_vehicle_can2swc_10hz.h"
#include "impl_type_can2swc.h"
#include "newcan/impl_type_vehicle_can_mcu2soc_50hz.h"
#include "newcan/impl_type_vehicle_can_mcu2soc_10hz.h"
#include "newcan/impl_type_vehicle_can_mcu2soc_100hz.h"
#include "newcan/impl_type_vehicle_can_mcu2soc_2hz.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace canservice {

class CANService {
public:
    constexpr CANService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/CANService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace canservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_CANSERVICE_CANSERVICE_COMMON_H
